gsasl (2.2.0-1.1+23.1) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Tue, 11 Jul 2023 10:40:12 +0000

gsasl (2.2.0-1.1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Use improved upstream self-checks for debci.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 03 Sep 2022 17:30:01 +0200

gsasl (2.0.1-4) unstable; urgency=medium

  * Use libgssglue instead of libkrb5 for GSS-API.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Aug 2022 19:03:10 +0200

gsasl (2.0.1-3) unstable; urgency=medium

  * Add dovecot/mailutils debci scripts from upstream.
  * Use valgrind-if-available.  Closes: #1016751.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 06 Aug 2022 21:20:59 +0200

gsasl (2.0.1-2) unstable; urgency=medium

  * Test GSS-API against dovecot.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 28 Jul 2022 12:15:15 +0200

gsasl (2.0.1-1) unstable; urgency=medium

  * [040b62c] New upstream version 2.0.1

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Jul 2022 18:13:50 +0200

gsasl (2.0.0-2) unstable; urgency=medium

  * [929c264] Weaken libgsasl18 dependency to gsasl-common to Recommends.
  * [6c36ed7] Use not-installed instead of dh -X.la.
  * [54252fc] Fix syntax of lintian-overrides.
  * [5cda8ab] Drop incomplete very-long-line-length-in-source-file.
  * [3d62448] Fix filename of not-installed.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 26 Jun 2022 15:13:27 +0200

gsasl (2.0.0-1) unstable; urgency=medium

  * [de8b713] Add gsasl-scram-pbkdf2 autopkgtest.
  * [98b21e5] Drop (now) useless override_dh_auto_install.
  * [d47576b] Cosmetic fixes.
  * [3d213b9] New upstream version 2.0.0

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jun 2022 18:24:17 +0200

gsasl (1.11.3-3) unstable; urgency=medium

  * [2ff9a33] Revert "Use alpha.gnu.org for experimental branch."
  * [f8a3fa4] Drop hard version requirement from libgsasl18 to gsasl-common.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 17 Jun 2022 13:13:44 +0200

gsasl (1.11.3-2) unstable; urgency=medium

  * Upload to unstable.
  * [a6f5c38] Drop experimental gbp.conf.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 13 Jun 2022 20:43:04 +0200

gsasl (1.11.3-1) experimental; urgency=medium

  * [7abd2ec] libgsasl-dev: Drop .la file.
  * [d56eaf3] Update standards version to 4.6.1.
  * [be57880] Drop install-info dep.  Closes: #1012491.
  * [5cf1188] d/copyright: Bump copyright years for debian/ files.
  * [4acd547] New upstream version 1.11.3
  * [671a1dc] Update symbols file.
  * [affc17a] Attempt to fix tests-build-any due to makeinfo.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 13 Jun 2022 08:49:50 +0200

gsasl (1.11.2-1) experimental; urgency=medium

  * New upstream alpha release.
  * Shared library package libgsasl7 renamed to libgsasl18.
  * Add Conflicts/Replaces with libgsasl7 on libgsasl18.
  * Update symbols file.
  * [9f649e3] Use alpha.gnu.org for experimental branch.
  * [bfdb9cb] New upstream version 1.11.2
  * [0d5fd40] Update symbols file.
  * [a8c61e2] Update standards version to 4.6.0.
  * [48468be] Ignore some very-long-line-length-in-source-file complaints.
  * [5dd9caf] Fix libgsasl autopkgtest.
  * [7048a13] Fix typo in gsasl-doc.doc-base.api.
  * [ee16b91] Drop obsolete Conflicts/Replaces for new libgsasl18.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 25 Oct 2021 19:24:04 +0200

gsasl (1.10.0-5) unstable; urgency=medium

  * [ae6c466] Use gbp dch id-length 7.
  * [ff1b91d] Silence source-contains-autogenerated-gperf-data.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 15 Aug 2021 22:28:40 +0200

gsasl (1.10.0-4) unstable; urgency=medium

  * Add Texinfo HTML and GTK-DOC API manual to gsasl-doc.
    - Move texinfo from B-D to B-D-I.  Add B-D-I's for docs.
  * Attempt to run upstream self-tests from autopkgtest.
  * Drop debian/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Jan 2021 22:58:07 +0100

gsasl (1.10.0-3) unstable; urgency=low

  * Upload to unstable; rebuilding reverse dependencies works.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 10 Jan 2021 20:18:42 +0100

gsasl (1.10.0-2) experimental; urgency=low

  * Add libgsasl-dev package.
  * Make libgsasl7-dev a dummy transitional package that depends on
    libgsasl-dev.
  * Add gsasl-common package and move translations from libgsasl7.
  * Add gsasl-doc package for documentation.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Jan 2021 18:17:12 +0100

gsasl (1.10.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes autoconf 2.70 ftbfs. Closes: #978826.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 01 Jan 2021 18:09:28 +0100

gsasl (1.9.3-1) experimental; urgency=low

  * New upstream beta release.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 01 Jan 2021 17:33:47 +0100

gsasl (1.9.2-1) experimental; urgency=low

  * New upstream beta release.
    - Update libgsasl7.symbols.
    - Drop d/source/lintian-overrides.
  * Install info images now that they are properly named.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 24 Dec 2020 16:22:17 +0100

gsasl (1.8.1-5) unstable; urgency=low

  * Update standards version to 4.5.1.
  * Update d/watch to version 4.
  * Add autopkgtest.
  * Include pkg-info.mk in d/rules for $(DEB_VERSION).
  * Add examples/ to libgsasl7-dev.
  * Move text docs from 'gsasl' to 'libgsasl7' so everyone has them.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 24 Nov 2020 21:37:33 +0100

gsasl (1.8.1-4) unstable; urgency=low

  * Use dh instead of cdbs.
  * Add upstream/metadata: Bug-Database, Repository, Repository-Browse,
    Documentation.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Nov 2020 15:24:09 +0100

gsasl (1.8.1-3) unstable; urgency=low

  * Source-only upload.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 28 Oct 2020 20:08:19 +0100

gsasl (1.8.1-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Add d/source/lintian-overrides.
  * Run wrap-and-sort and sort-dctrl.
  * Move d/upstream-signing-key.pgp to d/upstream/signing-key.asc.
  * Add Rules-Requires-Root: no.
  * Update debian/upstream-signing-key.pgp.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Update standards version to 4.5.0, no changes needed.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 27 Oct 2020 19:04:37 +0100

gsasl (1.8.1-1) unstable; urgency=low

  * New upstream stable release.
  * control, README.source: Update git URLs.
  * Standard-Versions 4.4.0.
  * Compat 10.
    - Drop dh-autoreconf and automake1.11 dependencies. Closes: #865164.
  * Add Build-Depends-Package to symbol files.
  * Enable hardening.
  * Use https in watch file.
  * Use https in copyright Format.
  * Use https in Homepage URL.
  * Priority: optional instead of extra.
  * Drop gsasl-dbg package.
  * Multiarchify the library packages, thanks Matthias Klose. Closes: #838032.
  * Update debian/upstream-signing-key.pgp.
  * Drop source/options.
  * Drop d/*.dirs files.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 02 Aug 2019 15:15:01 +0200

gsasl (1.8.0-8) unstable; urgency=low

  * Upload to unstable.
  * Add debian/gbp.conf and update debian/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Apr 2015 11:09:57 +0200

gsasl (1.8.0-7) experimental; urgency=low

  * Build-Depends on 'libkrb5-dev' instead of 'krb5-multidev',
    reverting the #745332 that disabled GSSAPI completely.
    Closes: #776847.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 16 Feb 2015 21:50:36 +0100

gsasl (1.8.0-6) unstable; urgency=low

  * Acknowledge NMU.
  * Reformat debian/copyright file to follow DEP5.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 06 Oct 2014 15:08:47 +0200

gsasl (1.8.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * libgsasl7-dev and source package: Depend on krb5-multidev. Closes: #745332.

 -- Andreas Barth <aba@ayous.org>  Sun, 05 Oct 2014 21:21:14 +0000

gsasl (1.8.0-5) unstable; urgency=low

  * libgsasl7-dev: Depend on libkrb5-multidev.  Closes: #745332.
  * Standards-Version: 3.9.6.
  * Drop autotools-dev (we use dh-autoreconf).

 -- Simon Josefsson <simon@josefsson.org>  Thu, 02 Oct 2014 14:17:31 +0200

gsasl (1.8.0-4) unstable; urgency=low

  * Standards-Version: 3.9.5.
  * Drop obsolete DM-Upload-Allowed.
  * Fixes in README.source.
  * Use diff-ignore in debian/source/options to support --twice builds.
  * Fix Vcs-* to silence lintian vcs-field-not-canonical.
  * Add debian/upstream-signing-key.pgp and use it in watch file.
  * Use pristine-tar.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 06 Sep 2014 23:04:34 +0200

gsasl (1.8.0-3) unstable; urgency=low

  [ Simon Josefsson ]
  * Add README.source.

  [ Thadeu Lima de Souza Cascardo ]
  * Use autoreconf on rules (Closes: #753598).
  * Build against libgnutls28-dev (Closes #753037).

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Thu, 10 Jul 2014 21:50:24 -0300

gsasl (1.8.0-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Explicitly enable GSS-API linking.
  * Moved from experimental to unstable after testing.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 04 Jun 2012 10:35:27 +0200

gsasl (1.8.0-1) experimental; urgency=low

  [ Simon Josefsson ]
  * New upstream stable release.
  * Standards-Version: 3.9.3.
  * Disable valgrind (false positives due to compiler
    optimizations of strlen).
  * Use --with-packager flags to get Debian-specific output from 'gsasl'.
  * Use internal crypto (reduce dependencies, no thread locking issues).

 -- Simon Josefsson <simon@josefsson.org>  Tue, 29 May 2012 08:20:52 +0200

gsasl (1.6.1-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream stable release.
  * Standards-Version: 3.9.2
  * Moved from experimental to unstable after testing.

  [ Andreas Metzler ]
  * Empty dependency_libs in libtool la file.
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval Closes: #610136

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jun 2011 16:19:59 +0200

gsasl (1.6.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 14 Dec 2010 22:27:13 +0100

gsasl (1.5.5-1) experimental; urgency=low

  * New upstream (development) version.
  * Upgrade to standards version 3.9.1.
  * Re-enable self checks on mips(el) now that #519006 is fixed.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 09 Dec 2010 22:53:06 +0100

gsasl (1.5.1-1) experimental; urgency=low

  * New upstream (development) version.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 25 Apr 2010 19:45:11 +0200

gsasl (1.5.0-1) experimental; urgency=low

  * New upstream (development) version: adds GS2-KRB5 mechanism.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 Apr 2010 13:44:22 +0200

gsasl (1.4.4-2) unstable; urgency=low

  * Moved from experimental to unstable after testing.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 Apr 2010 12:26:46 +0200

gsasl (1.4.4-1) experimental; urgency=low

  [Simon Josefsson]
  * New upstream version.
  * Improve copyright file information.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 26 Mar 2010 13:25:38 +0100

gsasl (1.4.2-1) unstable; urgency=low

  [Simon Josefsson]
  * New upstream version.
  * Disable self checks on mips(el) due to #519006.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Mar 2010 22:19:55 +0100

gsasl (1.4.1-1) unstable; urgency=low

  [Simon Josefsson]
  * New upstream version.
  * Add a symbols file (and drop libgsasl7.shlibs).

 -- Simon Josefsson <simon@josefsson.org>  Tue, 16 Feb 2010 17:46:48 +0100

gsasl (1.4.0-2) unstable; urgency=low

  [Simon Josefsson]

  * libgsasl7: Bump shlibs to 1.1 because later versions introduced symbol
    versioning; closes: #542512.
  * libgsasl7-dev: Depend on libgcrypt11-dev in order to make
    libgcrypt.la available; closes: #564378.
  * libgsasl7: Make it depend on libgcrypt 1.4.5-1, because libgsasl7
    will not work with any older libgcrypt than the version it was
    built with.  See #564661.
  * gsasl-dbg: New debug package for gsasl and libgsasl7.
  * Invoke 'make check' during builds, and build-depend on valgrind on
    platforms that have it, for better checking.
  * Upgrade to standards version 3.8.4.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 03 Feb 2010 10:02:43 +0100

gsasl (1.4.0-1) unstable; urgency=low

  [Simon Josefsson]

  * New upstream version (Closes: #552322).
  * Use correct URL in watch file.
  * Fix duplicate-long-description lintian warning by improving the
    package descriptions.
  * Fix missing-dependency-on-install-info for the gsasl package.
  * Upgrade standards version to 3.8.3.
  * Add Simon to Uploaders, and add DM-Upload-Allowed: yes.

  [Marcelo Jorge Vieira]

  * Changed VCS information from upstream to team

 -- Simon Josefsson <simon@josefsson.org>  Mon, 28 Dec 2009 11:09:19 -0200

gsasl (1.1-1) unstable; urgency=low

  * New Upstream Version (Closes: #494625).
  * Added ${misc:Depends} in debian/control.
  * Bumped Standard-Versions in debian/control.
  * Updated to debhelper 7.
  * Minor changes in debian/copyright.

 -- Jorge Salamero Sanz <bencer@debian.org>  Tue, 14 Apr 2009 09:56:14 +0100

gsasl (0.2.28-1) upstream; urgency=low

  * New Upstream Version

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Mon, 20 Oct 2008 15:32:15 -0200

gsasl (0.2.27-1) UNRELEASED; urgency=low

  * New Upstream Version

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Tue, 23 Sep 2008 19:04:07 -0300

gsasl (0.2.26-2) unstable; urgency=high

  * Set Maintainer as the Debian XMPP Team and add Jorge Salamero Sanz
    as an Uploader
  * Development package must depend on libkrb5-dev. Thanks Philipp Kern.
    (Closes: #502469)
  * Urgency high because of RC bug.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Mon, 20 Oct 2008 11:12:27 -0200

gsasl (0.2.26-1) unstable; urgency=low

  * New upstream release (Closes: #482470)

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Sat, 24 May 2008 21:41:16 -0300

gsasl (0.2.21-3) UNRELEASED; urgency=low

  * Renamed shlibs.libgsasl7 to libgsasl7.shlibs. (Closes: #471256)

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Tue, 18 Mar 2008 16:06:06 -0300

gsasl (0.2.21-2) unstable; urgency=low

  * Bump debhelper compat to 5.
  * Switched to CDBS.
  * Includes shlibs files. (Closes: #448230)
  * Update Homepage field in control to the new format.
  * Added Vcs-Browser and Vcs-Git fields to source control.
  * Updated Standards-Version to 3.7.3.0: no changes needed

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Sun, 13 Jan 2008 11:03:26 -0200

gsasl (0.2.21-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Add to libgsasl7-dev a depend on libntlm0-dev. (Closes: #444311)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Jan 2008 21:18:37 +0100

gsasl (0.2.21-1) unstable; urgency=low

  * New upstream release (Closes: #402156, #402158)
  * Does not ignore make clean errors
  * New Maintainer (Closes: #442273)
  * Replaced substvar Source-Version by binary:Version for binary NMUs
  * Updated Standards-Version up to 3.7.2.2
  * Updated copyright to the right versions of GPL and LGPL.
  * Enables ntlm support (Closes: #335417)

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Fri, 21 Sep 2007 17:53:04 -0300

gsasl (0.2.12-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright (Closes: #342783: libgsasl7: Copyright file
    ambiguity)
  * Updated debian/libgsasl7-dev.install (Closes: #357223: libvmime: FTBFS:
    /usr/lib/libgsasl.so missing)
  * Removed patch 01fix_manpages.dpatch (fixed upstream)
  * Fixed incorrect debian/watch

 -- Yvan Bassuel <yvan@brutux.org>  Thu, 16 Mar 2006 10:27:26 +0100

gsasl (0.2.11-1) unstable; urgency=low

  * New upstream release (Closes: #333620: gsasl: New upstream version available)
  * New maintainer (Closes: #354182)
  * Fixed typo (Closes: #345679: gsasl: control file typo: Relpaces -> Replaces)
  * Added support of STARTTLS (GnuTLS)
  * Patch 01fix_manpages.dpatch adds escape characters in two man pages
  * Updated to standards version 3.6.2

 -- Yvan Bassuel <yvan@brutux.org>  Fri, 24 Feb 2006 11:41:28 +0100

gsasl (0.2.5-1) unstable; urgency=low

  * New upstream release (closes: #283596)

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Wed, 09 Feb 2005 11:11:11 -0500

gsasl (0.0.11-1) unstable; urgency=low

  * New upstream release
    + Fixes info installation (Closes: #219604)

  * Converted to cdbs.b
  * Bumped standards version to 3.6.1

  * Dependancy on new version of libidn. (Closes: #227711)

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Wed, 14 Jan 2004 00:00:00 -5000

gsasl (0.0.6-1) unstable; urgency=low

  * New upstream release
    + removed gettext inclusion (gettext builddeps added)
    + bug fixes

  * Added build-deps on texinfo (closes: #185352)
  * Added make rule to explicitly build info documentation

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Wed, 19 Mar 2003 10:50:07 -0500

gsasl (0.0.5-5) unstable; urgency=low

  * Added depends on libidn9-dev and pkg-config for -dev package.
  * Added build depends on pkg-config (closes: #185162)

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Mon, 17 Mar 2003 11:11:11 -0500

gsasl (0.0.5-4) unstable; urgency=low

  * Uploaded the proper version this time.
    - permissions fixed on fixrpath (closes: #183663)

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Sun, 16 Mar 2003 11:11:11 -0500

gsasl (0.0.5-3) unstable; urgency=low

  * Fixed permissions on fixrpath (closes: #183663).

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Thu, 13 Mar 2003 13:55:12 -0500

gsasl (0.0.5-2) unstable; urgency=low

  * Merged doc package into dev package because of its size.

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Sun, 02 Mar 2003 13:55:12 -0500

gsasl (0.0.5-1) unstable; urgency=low

  * Initial packaging (closes: #181539)

 -- Ryan M. Golbeck <rmgolbeck@debian.org>  Tue, 18 Feb 2003 00:11:11 -0500
